gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A vertical ruler.

This ruler is used to show the vertical location of the mouse in the window and to display the vertical size of the window in the specified units. The available units of measurement are , and . The default is .

A vertical ruler is typically used along the left or right edge of another widget such as a .

Note:- This widget is considered too specialized for GTK+, and will likely be moved to some other package in the future.

Gtk.Ruler Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of VRuler, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new vertical Ruler.
  A new VRuler
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.